<app-header></app-header>
<div *ngIf="product" id="productInfoDiv">
  <div id="titleDiv">
    <p><textarea (keyup)="textAreaAdjust($event)" class="productTitle" id="productTitle">{{product.title}}</textarea>
    </p>
  </div>
  <div id="publishedDiv">
    <label for="publishedSelect">Published: </label>
    <select id="publishedSelect" (change)="checkStatus($event)" value="{{product.published}}">
      <option value="true">True</option>
      <option value="false">False</option>
    </select>
  </div>
  <div id="mainInfoDiv">
    <div id="imagesDiv">
      <input type="file" accept="image/x-png,image/jpeg" (change)="onFileSelect($event)" multiple>
      <div *ngFor="let image of product.images; let firstImage= first; let i = index" id="ImageDiv">
        <div class="imageContainer" id="oneImageDiv{{i}}">
          <button class="remove" (click)="deleteImage(image.url, i)">X</button>
          <img class="imageClass" src="{{baseUrl}}{{image.url}}">
        </div>
      </div>
    </div><br><br>
    <div id="wrapperDiv">
      <div id="simpleInfoDiv">
        <p class="productBrand">
          <label for="productBrandArea">Brand: </label>
          <textarea (keyup)="textAreaAdjust($event)" id="productBrandArea">{{product.brand}}</textarea>
        </p>

        <p class="productCode">
          <label for="productCodeArea">Code: </label>
          <textarea (keyup)="textAreaAdjust($event)" id="productCodeArea">{{product.code}}</textarea>
        </p>

        <p class="productType">
          <label for="productTypeArea">Type: </label>
          <select id="productTypeArea" value="{{product.type}}">
            <option value="1">PVC</option>
            <option value="2">ALU</option>
          </select>
        </p>

      </div>
      <div id="infoAndTable">
        <div *ngFor="let info of product.info; let i = index">
          <div id="textOrTableDiv{{i}}" class="textOrTableDiv">
            <p *ngIf="info.type === 'text'">
              <textarea (keyup)="textAreaAdjust($event)" class="informationText">{{info.text}}</textarea>
            </p>
            <h2 *ngIf="info.type === 'subtitle'">
              <textarea (keyup)="textAreaAdjust($event)" class="informationSubtitle">{{info.text}}</textarea>
            </h2>
            <div *ngIf="info.tableHeaders?.length" id="oneTableDiv">
              <table class="data-table">
                <tr>
                  <th *ngFor="let header of info.tableHeaders">
                    <textarea (keyup)="textAreaAdjust($event)" class="textareaHeader">{{header}}</textarea>
                  </th>
                </tr>
                <tr *ngFor="let data of info.tableData">
                  <td *ngFor="let dataValue of data">
                    <textarea (keyup)="textAreaAdjust($event)" class="textareaData">{{dataValue}}</textarea>
                  </td>
                </tr>
                <button (click)='addColumn($event)' class="addCollumn">+</button>
                <button (click)='removeColumn($event)' class="removeCollumn">-</button>
                <button (click)='addRow($event)' class="addRow">+</button>
                <button (click)='removeRow($event)' class="removeRow">-</button>
              </table>
            </div>
            <button (click)='deleteTextOrTable(i)' class="remove">X</button>
          </div>
        </div>
      </div>
      <div id="descriptionDiv">
        <h3>Description</h3>
        <h4><textarea maxlength="250" (keyup)="textAreaAdjust($event)" id="descriptionText" class="descriptionText">{{product.desc}}</textarea></h4>
      </div>
    </div>
  </div>
</div>
<div id="controls">
  <button id="updateBtn" (click)="updateProduct()">Update</button>

  <div id="addDiv">
    <p>Add</p>
    <button (click)="addSubtitle()" id="addSubtitleBtn">Subtitle</button><br><br>
    <button (click)="addText()" id="addTextBtn">Text</button><br><br>
    <button (click)="addTable()" id="addTableBtn">Table</button>
  </div>
</div>
